diff --git a/game/core/src/main/java/net/minecraft/core/current/wire/WireNode.java b/game/core/src/main/java/net/minecraft/core/current/wire/WireNode.java
index 13348b8c1..cca46b4a4 100644
--- a/game/core/src/main/java/net/minecraft/core/current/wire/WireNode.java
+++ b/game/core/src/main/java/net/minecraft/core/current/wire/WireNode.java
@@ -7,6 +7,7 @@ import net.minecraft.core.current.util.BlockState;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import org.slf4j.Logger;
 
 /**
@@ -17,110 +18,110 @@ import org.slf4j.Logger;
  * @author Space Walker
  */
 class WireNode extends Node {
-	private static final Logger LOGGER = LogUtils.getLogger();
-
-	final WireConnectionManager connections;
-
-	/** The power level this wire currently holds in the world. */
-	int currentPower;
-	/**
-	 * While calculating power changes for a network, this field is used to keep
-	 * track of the power level this wire should have.
-	 */
-	int virtualPower;
-	/** The power level received from non-wire components. */
-	int externalPower;
-	int direction;
-	/**
-	 * A 4-bit number that keeps track of the power flow of the wires that give this
-	 * wire its power level.
-	 */
-	int flowIn;
-	/** The direction of power flow, based on the incoming flow. */
-	int iFlowDir;
-	boolean added;
-	boolean removed;
-	boolean shouldBreak;
-	boolean root;
-	boolean discovered;
-	boolean searched;
-
-	/** The next wire in the simple queue. */
-	WireNode next_wire;
-
-	WireNode(World world, TilePos pos, BlockState state) {
-		super(world);
-
-		this.pos = pos;
-		this.state = state;
-
-		this.connections = new WireConnectionManager(this);
-
-		this.virtualPower = this.currentPower = this.state.get() & BlockLogicWireRedstone.MASK_POWER;
-		this.direction = this.state.get() & BlockLogicWireRedstone.MASK_DIRECTION;
-		this.priority = priority();
-	}
-
-	@Override
-	Node set(TilePos pos, BlockState state, boolean clearNeighbors) {
-		throw new UnsupportedOperationException("Cannot update a WireNode!");
-	}
-
-	@Override
-	int priority() {
-		return MathHelper.clamp(virtualPower, BlockLogicWireRedstone.SIGNAL_MIN, BlockLogicWireRedstone.SIGNAL_MAX);
-	}
-
-	@Override
-	public boolean isWire() {
-		return true;
-	}
-
-	@Override
-	public WireNode asWire() {
-		return this;
-	}
-
-	boolean offerPower(int power, int iDir) {
-		if (removed || shouldBreak) {
-			return false;
-		}
-		if (power == virtualPower) {
-			flowIn |= (1 << iDir);
-			return false;
-		}
-		if (power > virtualPower) {
-			virtualPower = power;
-			flowIn = (1 << iDir);
-
-			return true;
-		}
-
-		return false;
-	}
-
-	boolean setPower() {
-		if (removed) {
-			return true;
-		}
-
-		state = WorldHelper.getBlockState(world, pos);
-
-		if (!state.is(Blocks.WIRE_REDSTONE)) {
-			LOGGER.warn("Tried to update power of non redstone dust! This should never happen!", new RuntimeException());
-			return false; // we should never get here
-		}
-
-		if (shouldBreak) {
-			state.dropItems(world, pos);
-			world.setBlockId(pos, 0);
-
-			return true;
-		}
-
-		currentPower = MathHelper.clamp(virtualPower, BlockLogicWireRedstone.SIGNAL_MIN, BlockLogicWireRedstone.SIGNAL_MAX);
-		state = state.set(currentPower | direction);
-
-		return WorldHelper.setWireState(world, pos, state);
-	}
+    private static final Logger LOGGER = LogUtils.getLogger();
+
+    final WireConnectionManager connections;
+
+    /** The power level this wire currently holds in the world. */
+    int currentPower;
+    /**
+     * While calculating power changes for a network, this field is used to keep
+     * track of the power level this wire should have.
+     */
+    int virtualPower;
+    /** The power level received from non-wire components. */
+    int externalPower;
+    int direction;
+    /**
+     * A 4-bit number that keeps track of the power flow of the wires that give this
+     * wire its power level.
+     */
+    int flowIn;
+    /** The direction of power flow, based on the incoming flow. */
+    int iFlowDir;
+    boolean added;
+    boolean removed;
+    boolean shouldBreak;
+    boolean root;
+    boolean discovered;
+    boolean searched;
+
+    /** The next wire in the simple queue. */
+    WireNode next_wire;
+
+    WireNode(World world, TilePosc pos, BlockState state) {
+        super(world);
+
+        this.pos = new TilePos(pos);
+        this.state = state;
+
+        this.connections = new WireConnectionManager(this);
+
+        this.virtualPower = this.currentPower = this.state.get() & BlockLogicWireRedstone.MASK_POWER;
+        this.direction = this.state.get() & BlockLogicWireRedstone.MASK_DIRECTION;
+        this.priority = priority();
+    }
+
+    @Override
+    Node set(TilePosc pos, BlockState state, boolean clearNeighbors) {
+        throw new UnsupportedOperationException("Cannot update a WireNode!");
+    }
+
+    @Override
+    int priority() {
+        return MathHelper.clamp(this.virtualPower, BlockLogicWireRedstone.SIGNAL_MIN, BlockLogicWireRedstone.SIGNAL_MAX);
+    }
+
+    @Override
+    public boolean isWire() {
+        return true;
+    }
+
+    @Override
+    public WireNode asWire() {
+        return this;
+    }
+
+    boolean offerPower(int power, int iDir) {
+        if (this.removed || this.shouldBreak) {
+            return false;
+        }
+        if (power == this.virtualPower) {
+            this.flowIn |= (1 << iDir);
+            return false;
+        }
+        if (power > this.virtualPower) {
+            this.virtualPower = power;
+            this.flowIn = (1 << iDir);
+
+            return true;
+        }
+
+        return false;
+    }
+
+    boolean setPower() {
+        if (this.removed) {
+            return true;
+        }
+
+        this.state = WorldHelper.getBlockState(this.world, this.pos);
+
+        if (!this.state.is(Blocks.WIRE_REDSTONE)) {
+            LOGGER.warn("Tried to update power of non redstone dust! This should never happen!", new RuntimeException());
+            return false; // we should never get here
+        }
+
+        if (this.shouldBreak) {
+            this.state.dropItems(this.world, this.pos);
+            this.world.setBlockId(this.pos, 0);
+
+            return true;
+        }
+
+        this.currentPower = MathHelper.clamp(this.virtualPower, BlockLogicWireRedstone.SIGNAL_MIN, BlockLogicWireRedstone.SIGNAL_MAX);
+        this.state = this.state.set(this.currentPower | this.direction);
+
+        return WorldHelper.setWireState(this.world, this.pos, this.state);
+    }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/current/wire/WorldHelper.java b/game/core/src/main/java/net/minecraft/core/current/wire/WorldHelper.java
index ff46f74a4..722ce72e7 100644
--- a/game/core/src/main/java/net/minecraft/core/current/wire/WorldHelper.java
+++ b/game/core/src/main/java/net/minecraft/core/current/wire/WorldHelper.java
@@ -3,57 +3,59 @@ package net.minecraft.core.current.wire;
 import net.minecraft.core.current.util.BlockState;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
+import org.jetbrains.annotations.NotNull;
 
 class WorldHelper {
 
-	private static final int Y_MIN = 0;
+    private static final int Y_MIN = 0;
 
-	static BlockState getBlockState(World world, TilePos pos) {
-		if (pos.y < Y_MIN || pos.y >= world.getHeightBlocks()) {
-			return BlockState.AIR;
-		}
+    static @NotNull BlockState getBlockState(@NotNull World world, @NotNull TilePosc pos) {
+        if (pos.y() < Y_MIN || pos.y() >= world.getHeightBlocks()) {
+            return BlockState.AIR;
+        }
 
-		int blockId = world.getBlockId(pos.x, pos.y, pos.z);
+        int blockId = world.getBlockId(pos);
 
-		if (blockId == 0) {
-			return BlockState.AIR;
-		}
+        if (blockId == 0) {
+            return BlockState.AIR;
+        }
 
-		return new BlockState(blockId, world.getBlockMetadata(pos.x, pos.y, pos.z));
-	}
+        return new BlockState(blockId, world.getBlockData(pos));
+    }
 
-	/**
-	 * An optimized version of {@link net.minecraft.world.World#setBlockState
-	 * World.setBlockState}. Since this method is only used to update redstone wire block
-	 * states, lighting checks, height map updates, and block entity updates are
-	 * omitted.
-	 */
-	static boolean setWireState(World world, TilePos pos, BlockState state) {
-		if (pos.y < Y_MIN || pos.y >= world.getHeightBlocks()) {
-			return false;
-		}
+    /**
+     * An optimized version of {@link net.minecraft.world.World#setBlockState
+     * World.setBlockState}. Since this method is only used to update redstone wire block
+     * states, lighting checks, height map updates, and block entity updates are
+     * omitted.
+     */
+    static boolean setWireState(@NotNull World world, @NotNull TilePos pos, @NotNull BlockState state) {
+        if (pos.y < Y_MIN || pos.y >= world.getHeightBlocks()) {
+            return false;
+        }
 
-		int blockId = state.getBlockId();
-		int prevBlockId = world.getBlockId(pos.x, pos.y, pos.z);
+        int blockId = state.getBlockId();
+        int prevBlockId = world.getBlockId(pos);
 
-		if (blockId != prevBlockId) {
-			return false;
-		}
+        if (blockId != prevBlockId) {
+            return false;
+        }
 
-		int metadata = state.get();
-		int prevMetadata = world.getBlockMetadata(pos.x, pos.y, pos.z);
+        int metadata = state.get();
+        int prevMetadata = world.getBlockData(pos);
 
-		if (metadata == prevMetadata) {
-			return false;
-		}
+        if (metadata == prevMetadata) {
+            return false;
+        }
 
-		world.setBlockMetadata(pos.x, pos.y, pos.z, metadata);
+        world.setBlockData(pos, metadata);
 
-		// notify clients of the BlockState change
-		world.notifyBlockChange(pos.x, pos.y, pos.z, blockId);
-		// mark the chunk for saving
-		world.markBlockDirty(pos.x, pos.y, pos.z);
+        // notify clients of the BlockState change
+        world.notifyBlockChange(pos, blockId);
+        // mark the chunk for saving
+        world.markBlockDirty(pos);
 
-		return true;
-	}
+        return true;
+    }
 }
